> ## Documentation Index
> Fetch the complete documentation index at: https://docs.atom14.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Endpoint

> Search user's indexed content.

Args:
    q: Search query string
    limit: Maximum number of results (1-100)

Returns:
    Search results with file info and locators



## OpenAPI

````yaml https://searchanything.onrender.com/openapi.json get /api/search
openapi: 3.1.0
info:
  title: SearchAnything API
  description: Search across all your documents, images, and audio
  version: 1.0.0
servers: []
security: []
paths:
  /api/search:
    get:
      tags:
        - Search
      summary: Search Endpoint
      description: |-
        Search user's indexed content.

        Args:
            q: Search query string
            limit: Maximum number of results (1-100)

        Returns:
            Search results with file info and locators
      operationId: search_endpoint_api_search_get
      parameters:
        - name: q
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            description: Search query
            title: Q
          description: Search query
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Maximum results
            default: 50
            title: Limit
          description: Maximum results
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````